Subject: Re: [PATCH 3/7] autoconf: remove some redundant shell indirections

From: Stefano Lattarini <[email-masked]>
Date: Thu, 19 Jul 2012 19:50:51 +0200

On 07/19/2012 07:24 PM, Junio C Hamano wrote:
> Stefano Lattarini <[email-masked]> writes:
> 
>> On 07/19/2012 02:29 AM, Junio C Hamano wrote:
>>>
>>> The inconsistency between the existing one that does not quote the
>>> string that is not substituted, i.e.
>>>
>>> 	GIT_UC_PROGRAM[]_PATH=$withval
>>>
>>> and the new one that quotes _PATH, i.e.
>>>
>>> 	GIT_CONF_SUBST(GIT_UC_PROGRAM[_PATH], [])
>>>
>>> looks somewhat strange, though.
>>>
>> Will fix that in the re-roll.
> 
> I see you already used the []_PATH in your reroll, and I do not
> think it matters either way in pracice, but I suspect that it is
> technically more correct to have _PATH part inside the bra-ket
> quotes (of course, changing the style to maximally quote like that
> is a totally different topic, and should be done as a separate
> patch,
>
Yep, that's what I thought.  Glad I got it right, saved another
re-roll :-)

>so I think your reroll is the right thing to do within the
> scope of this series).
>
And as an aside, if we'd somehow got '_PATH' to be a defined macro,
I say that something would be very, very wrong with the current setup
(Autoconf strives to be very namespace-clean these days, apart from
some old m4 builtins, which must remain available out of the 'm4_'
and 'AC_' namespaces for sake of backward-compatibility).

Today, excluding few exceptions, I'd say that the main reason to
properly quote macro arguments is to avoid commas or quoting characters
in macro invocations or expansion, or even quoting characters themselves,
to be spuriously considered as metacharacters and thus processed.

> Thanks.
Thanks to you for the quick feedback.

Regards,
  Stefano